summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/include/0009glob_nofile_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/include/0009glob_nofile_1')
-rwxr-xr-xtests/shell/testcases/include/0009glob_nofile_18
1 files changed, 3 insertions, 5 deletions
diff --git a/tests/shell/testcases/include/0009glob_nofile_1 b/tests/shell/testcases/include/0009glob_nofile_1
index bab58305..d769155a 100755
--- a/tests/shell/testcases/include/0009glob_nofile_1
+++ b/tests/shell/testcases/include/0009glob_nofile_1
@@ -26,8 +26,6 @@ RULESET1="include \"$tmpdir/non_existent_file.nft\""
echo "$RULESET1" > $tmpfile1
-$NFT -f $tmpfile1
-if [ $? -eq 0 ] ; then
- echo "E: Failed to catch a missing include directory/file" >&2
- exit 1
-fi
+$NFT -f $tmpfile1 || exit 0
+echo "E: Failed to catch a missing include directory/file" >&2
+exit 1